using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class Segmentat1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "VisitTaksId",
                table: "Segmentation",
                newName: "VisitTaskId");

            migrationBuilder.AddColumn<Guid>(
                name: "VisitTaskId",
                table: "Segment",
                type: "uniqueidentifier",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"));
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "VisitTaskId",
                table: "Segment");

            migrationBuilder.RenameColumn(
                name: "VisitTaskId",
                table: "Segmentation",
                newName: "VisitTaksId");
        }
    }
}
